%define version 0.9
%define release %mkrel 3
%define modulename pcc-acpi
%define modulerealname pcc_acpi
%define modulepath %{_usrsrc}/dkms-%{modulename}-%{version}-%{release}

Name:		dkms-%{modulename}
Version:	%version
Release:	%release
Source0:	http://www.da-cha.jp/files/%{modulename}-%{version}.tar.bz2
Source1:	dkms-pcc-acpi-autoload-modules-change.patch
Source2:	dkms-pcc-acpi-fix-resume-callback.patch
Source3:	dkms-pcc-acpi-acpi_bus_generate_event-rename.patch
Source4:	dkms-pcc-acpi-check-input_register_device.patch
URL:		http://www.da-cha.jp/letsnote/
License:	GPLv2
Group:		System/Kernel and hardware
Summary:	ACPI driver for Panasonic laptops
Requires(post): dkms
Requires(preun): dkms
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
ACPI driver for Panasonic laptops.

%prep
%setup -q -n %{modulename}-%{version}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{modulepath}
%{__cp} -a . %{buildroot}%{modulepath}
%{__mkdir} %{buildroot}%{modulepath}/patches
for p in %{_sourcedir}/dkms-pcc-acpi-autoload-modules-change.patch \
         %{_sourcedir}/dkms-pcc-acpi-fix-resume-callback.patch \
         %{_sourcedir}/dkms-pcc-acpi-acpi_bus_generate_event-rename.patch \
         %{_sourcedir}/dkms-pcc-acpi-check-input_register_device.patch;
do
	%{__cp} $p %{buildroot}%{modulepath}/patches
done

cat > %{buildroot}/%{modulepath}/dkms.conf <<EOF
PACKAGE_VERSION="%{version}-%{release}"

PACKAGE_NAME="%{modulename}"
DEST_MODULE_LOCATION[0]="/kernel/drivers/acpi"
BUILT_MODULE_NAME[0]="%{modulerealname}"
MAKE[0]="make -C \${kernel_source_dir} M=\\\$(pwd)"
CLEAN="make KVER=\${kernelver} clean"
REMAKE_INITRD="no"
AUTOINSTALL="yes"
PATCH[0]="dkms-pcc-acpi-autoload-modules-change.patch"
PATCH_MATCH[0]="^2\.6\.(2[3-9])|([3-9][0-9]+)|([1-9][0-9][0-9]+)"
PATCH[1]="dkms-pcc-acpi-fix-resume-callback.patch"
PATCH_MATCH[1]="^2\.6\.(2[1-9])|([3-9][0-9]+)|([1-9][0-9][0-9]+)"
PATCH[2]="dkms-pcc-acpi-acpi_bus_generate_event-rename.patch"
PATCH_MATCH[2]="^2\.6\.(2[3-9])|([3-9][0-9]+)|([1-9][0-9][0-9]+)"
PATCH[3]="dkms-pcc-acpi-check-input_register_device.patch"
EOF

%post
dkms add     -m %{name} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms build   -m %{name} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms install -m %{name} -v %{version}-%{release} --rpm_safe_upgrade --force
true

%preun
dkms remove  -m %{name} -v %{version}-%{release} --rpm_safe_upgrade --all
true

%files
%doc COPYING readme.html
%{modulepath}


%changelog
* Mon Mar 24 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.9-3mdv2008.1
+ Revision: 189722
- Fix build with kernels up to 2.6.24 with these patches:
  dkms-pcc-acpi-check-input_register_device.patch
  dkms-pcc-acpi-fix-resume-callback.patch
  dkms-pcc-acpi-autoload-modules-change.patch
  dkms-pcc-acpi-acpi_bus_generate_event-rename.patch

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary & description
    - fix summary-not-capitalized
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 0.9-2mdv2008.0
+ Revision: 94468
- update to new version

* Tue Sep 04 2007 Nicolas Vigier <nvigier@mandriva.com> 0.9-1mdv2008.0
+ Revision: 78894
- Import dkms-pcc-acpi

